# Run tests in check section
%bcond_without check

%global goipath         github.com/neelance/sourcemap
%global commit          8c68805598ab8d5637b1a72b5f7d381ea0f39c31

%global common_description %{expand:
JavaScript source map reader & writer for Go.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.2%{?dist}
Summary:        JavaScript source map reader & writer for Go
Group:          Development/Other
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

%description
%{common_description}

%gometa
%global golicenses      LICENSE
%global godocs          README.md
%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles


%changelog
* Sun Aug 30 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1620027
- fix build

* Mon Nov 26 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1335442
- imported package golang-github-neelance-sourcemap

